DEBSBOM-EXPORT(1)

NAME
debsbom-export - debsbom export command

SYNOPSIS

            debsbom export [-h] [-t {cdx,spdx}] [--format {graphml}] [bomin] [out]

DESCRIPTION

Export sbom as graph

Processes an SBOM and converts it to various graph formats. Note, that SPDX SBOMs lead to better results, as they describes inter package relations more precisely. However, some properties like the package section and essential can only be tracked in CycloneDX.

OPTIONS

Positional Arguments

    bomin
        sbom file(s) to process for 'bomin'. Use '-' to read from stdin

    out output file (optional)

Named Arguments

    -t, --sbom-type
        SBOM type to process (default: auto-detect), required when reading from stdin

        Possible choices: cdx, spdx

    --format='graphml'
        graph output format (default: 'graphml')

        Possible choices: graphml

SEE ALSO

debsbom-decisions(1), debsbom-generate(1)

DEBSBOM

Part of the debsbom(1) suite.

Author
Christoph Steiger, Felix Moessbauer

Copyright
2025, Siemens